cancel
Showing results for 
Search instead for 
Did you mean: 

Few Question Regarding Security Patch

Few Question Regarding Security Patch

Hi,

 

I'm fairly new to Magento, so help would greatly be appreciated. First of all, if there are previous security patches which have not been applied, do I have to apply them first before the latest one? or will updating to the latest one be enough? 

 

Secondly, I've come across a really helpful video which shows how to apply a security patch (https://www.youtube.com/watch?v=Btn2r-Rq6bo&feature=youtu.be&t=4m). My question is, at the 4:00 - minute mark he's seen using the command terminal to input his IP address, would I need to ask my site's hosting to provide me with this. Furthermore, he also inputs his password, is this the password for the site's Cpanel?

 

For some extra information, the Magento version which I'm using is version 1.9.1.0. and the security patch in question is SUPEE-9767

 

Many thanks.

 

 

4 REPLIES

Re: Few Question Regarding Security Patch

Apologies for bumping this message up, but any help would greatly be appreciated.

 

Thanks.

Re: Few Question Regarding Security Patch

Magento Security Best Practices (Protect the Environment) recommend applying all patches to properly secure your Magento installation.  Each security patch addresses different issues so it is important to keep you site updated and secure following  Security Best Practices.

http://docs.magento.com/m1/ce/user_guide/magento/magento-security-best-practices.html

 

Regarding your password question: The video demonstration (https://www.youtube.com/watch?v=Btn2r-Rq6bo&feature=youtu.be&t=4m)  refers to the SSH account login information supplied by your hosting provider.  Please check with your provider on the proper way to connect via SSH to your web account.

Thank you,

Magento

Re: Few Question Regarding Security Patch

Hi jtsteer,

 

Thank you for your input. I'll look into the links that you have provided and get back to you on any problems I may be facing. Also regarding installing older security patches, if the latest patch has been installed, whereas a patch from some time back has not been, will I still be required to install that patch? and will that patch somehow overwrite the current patch if installed?

 

Many Thanks.

Re: Few Question Regarding Security Patch

Hi @I_K22,

 

If the patches are not included in your current version, then yes - you'll still need to apply them. Only versions include past patches, new patches do not include previous patches. The download page should indicate which patches are included in your current version.

 

Cheers,

Sherrie

--

Community Manager, Magento
Problem solved? Click Accept as Solution!
Still stuck? Check out our documentation: https://magento.com/resources/technical